package nsdb;
final public class LocationListHolder
	implements org.omg.CORBA.portable.Streamable
{
	public nsdb.Location[] value;

	public LocationListHolder ()
	{
	}
	public LocationListHolder (nsdb.Location[] initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return LocationListHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = LocationListHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		LocationListHelper.write(out,value);
	}
}
